#ifndef POSMATEDATAOBJECT_H
#define POSMATEDATAOBJECT_H

#include <QObject>
#include <QJsonObject>
#include <QVariant>
#include <QMetaProperty>


class PosMateDataObject : public QObject
{
    Q_OBJECT
    Q_PROPERTY (QString workstationNumber READ getWorkstationNumber WRITE setWorkstationNumber)
    Q_PROPERTY (QString empNo READ getEmpNo WRITE setEmpNo)
    Q_PROPERTY (QString empName READ getEmpName WRITE setEmpName)

public:
    explicit PosMateDataObject(QObject *parent = 0):QObject(parent){}
    PosMateDataObject(const PosMateDataObject& posMateDataObj,QObject* parent=0);
    PosMateDataObject& operator =(const PosMateDataObject& posMateDataObj);
    // void FetchDataFromJson(const QJsonObject &json);
    QString workstationNumber;
    QString empNo;
    QString empName;

protected:

    inline QString getWorkstationNumber(){ return workstationNumber; }
    inline void setWorkstationNumber(const QString& v){ workstationNumber = v; }

    inline QString getEmpNo(){ return empNo; }
    inline void setEmpNo(const QString& v){ empNo = v; }

    inline QString getEmpName(){ return empName; }
    inline void setEmpName(const QString& v){ empName = v; }
};

#endif // POSMATEDATAOBJECT_H
